/*
 * Copyright 2012 Martin Skurla
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.crazyjavahacking.astvisualizer.impl.javac;


/**
 * Represents all used AST transition names.
 *
 * @author Martin
 */
final class ASTTransitionNames {

    //-----------------------------------------------------------------------------------------------------------------
    // Constants.
    //-----------------------------------------------------------------------------------------------------------------
    static final String ANNOTATION           = "Annotation";
    static final String ANNOTATION_TYPE      = "AnnotationType";
    static final String ARGUMENT             = "Argument";
    static final String BLOCK                = "Block";
    static final String BODY                 = "Body";
    static final String BOUND                = "Bound";
    static final String CASE                 = "Case";
    static final String CATCH                = "Catch";
    static final String CLASS_BODY           = "ClassBody";
    static final String CONDITION            = "Condition";
    static final String DEFAULT_VALUE        = "DefaultValue";
    static final String DETAIL               = "Detail";
    static final String DIMENSION            = "Dimension";
    static final String ELSE_STATEMENT       = "ElseStatement";
    static final String ENCLOSING_EXPRESSION = "EnclosingExpression";
    static final String ERROR_TREE           = "ErrorTree";
    static final String EXPRESSION           = "Expression";
    static final String EXTENDS_CLAUSE       = "ExtendsClause";
    static final String FALSE_EXPRESSION     = "FalseExpression";
    static final String FINALLY_BLOCK        = "FinallyBlock";
    static final String FLAG                 = "Flag";
    static final String IDENTIFIER           = "Identifier";
    static final String IMPLEMENTS_CLAUSE    = "ImplementsClause";
    static final String IMPORT               = "Import";
    static final String INDEX                = "Index";
    static final String INITIALIZER          = "Initializer";
    static final String LABEL                = "Label";
    static final String LEFT_OPERAND         = "LeftOperand";
    static final String MEMBER               = "Member";
    static final String METHOD_SELECT        = "MethodSelect";
    static final String MODIFIERS            = "Modifiers";
    static final String NAME                 = "Name";
    static final String PACKAGE_ANNOTATION   = "PackageAnnotation";
    static final String PACKAGE_NAME         = "PackageName";
    static final String PARAMETER            = "Parameter";
    static final String PRIMITIVE_TYPE_KIND  = "PrimitiveTypeKind";
    static final String QUALIFIED_IDENTIFIER = "QualifiedIdentifier";
    static final String RESOURCE             = "Resource";
    static final String RETURN_TYPE          = "ReturnType";
    static final String RIGHT_OPERAND        = "RightOperand";
    static final String SIMPLE_NAME          = "SimpleName";
    static final String STATEMENT            = "Statement";
    static final String THEN_STATEMENT       = "ThenStatement";
    static final String THROW                = "Throw";
    static final String TRUE_EXPRESSION      = "TrueExpression";
    static final String TYPE                 = "Type";
    static final String TYPE_ALTERNATIVE     = "TypeAlternative";
    static final String TYPE_ARGUMENT        = "TypeArgument";
    static final String TYPE_DECLARATION     = "TypeDeclaration";
    static final String TYPE_PARAMETER       = "TypeParameter";
    static final String UPDATE               = "Update";
    static final String VARIABLE             = "Variable";


    //-----------------------------------------------------------------------------------------------------------------
    // Constructors.
    //-----------------------------------------------------------------------------------------------------------------
    private ASTTransitionNames() {}
}
