/*
 * Copyright 2012 Martin Skurla
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.crazyjavahacking.astvisualizer.impl.javac.model;


/**
 * Represents edge data. Edge data is needed because only nodes of type com.sun.source.tree.Tree will have automatic
 * treatment by visitor provided by Compiler Tree API and all other nodes have to be treated explicitly.
 *
 * @author Martin
 */
public interface IEdgeData {

    //-----------------------------------------------------------------------------------------------------------------
    // Public Methods.
    //-----------------------------------------------------------------------------------------------------------------
    /**
     * Returns transition name.
     *
     * @return transition name
     */
    String getTransitionName();
}
